[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TCheckConstraint.CustomConstraint

User-defined constraint

## Declaration

Source position: db.pas line 1094

`published property TCheckConstraint.CustomConstraint : string read FCustomConstraint write FCustomConstraint;`

## Description

CustomConstraint is an SQL expression with an additional user-defined constraint. The expression should be enforced by a TDataset descendent when data is posted to the dataset. If the constraint is violated, then the dataset should raise an exception, with message as specified in TCheckConstraint.ErrorMessage

## See also

TCheckConstraint.ErrorMessage |  | Message to display when the constraint is violated